## org.eclipse.emf.codegen.merge.java
Class JControlModel.Feature

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel.Feature

Direct Known Subclasses:
  JControlModel.Feature

Enclosing class:
  JControlModel

    public static class JControlModel.Feature

extends java.lang.Object

Field Summary
`protected java.lang.String` `classPrefix`
`protected java.lang.Class<?>` `featureClass`
`protected java.lang.reflect.Method` `featureMethod`

Constructor Summary
`JControlModel.Feature(java.lang.String classPrefix)`
`JControlModel.Feature(java.lang.String classPrefix, java.lang.String path, java.lang.Class<?>[] parameterTypes)`

Method Summary
`java.lang.String` `getClassPrefix()`
`java.lang.Class<?>` `getFeatureClass()`
`java.lang.reflect.Method` `getFeatureMethod()`
`void` `initialize(java.lang.String path, java.lang.Class<?>[] parameterTypes)`
`protected void` `setClassPrefix(java.lang.String classPrefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### featureClass

    protected java.lang.Class<?> featureClass

### featureMethod

    protected java.lang.reflect.Method featureMethod

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel.Feature

    public JControlModel.Feature(java.lang.String classPrefix)

### JControlModel.Feature

    public JControlModel.Feature(java.lang.String classPrefix,
                                 java.lang.String path,
                                 java.lang.Class<?>[] parameterTypes)

Method Detail

### getFeatureClass

    public java.lang.Class<?> getFeatureClass()

### getFeatureMethod

    public java.lang.reflect.Method getFeatureMethod()

### initialize

    public void initialize(java.lang.String path,
                           java.lang.Class<?>[] parameterTypes)

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.